Skip to main content
GET
Retrieve a task

Authorizations

Authorization
string
header
required

Secret key (sk_live_...)

Path Parameters

task_id
string
required

Unique identifier for the task (prefixed with task_).

Response

OK

A task object. Tasks are defined actions an agent can perform.

id
string
required

Unique identifier for the task, prefixed with task_.

object
string
required

Always task.

name
string
required

Display name for the task.

prompt
null | string
required

Instructions for the agent describing what this task should do.

status
string
required

Task status: learning, test, or live.

agent_id
string
required

The agent this task belongs to. Prefixed with agt_.

input_schema
null | any
required

JSON Schema defining the expected input for task runs.

output_schema
null | any
required

JSON Schema defining the expected output for task runs.

storage
null | any
required

Storage configuration for file capture during task execution.

settings
null | any
required

Task-level settings. Supports timeout_seconds (the per-run timeout, in seconds) and sensitive (when true, the Console hides the live browser view, agent reasoning, and screenshots for this task's runs). null when no settings were set on the task, in which case runs use your plan's default timeout and the task is not sensitive.

created_at
string<date-time>
required

ISO 8601 timestamp of when the resource was created.

updated_at
string<date-time>
required

ISO 8601 timestamp of when the resource was last updated.

request_id
string
required

Unique identifier for the API request. Include this when contacting support.